File README.SUSE of Package vagrant

Packaging Vagrant plugins
-------------------------

This convention is based on the Debian vagrant package by Antonio Terceiro.

Vagrant plugins must be packaged as regular Ruby libraries, with one extra
detail: they must contain a file at
/usr/share/vagrant-plugins/plugins.d/$PLUGINNAME.json with the following
content:

{
  "${PLUGINNAME}": {
    "ruby_version":"$(ruby -e 'puts RUBY_VERSION')",
    "vagrant_version":"$(cat /usr/share/vagrant/version.txt)",
    "gem_version":"",
    "require":"",
    "sources":[]
  }
}

openSUSE Build Service is sponsored by